introduce

Welcome to Magic Utilities

What Magic Utilities is
Magic Utilities is a cute program designed to make your computer clean and more stable.These utilities include Uninstller Plus,StartUp Organizer,Process Killer.Magic Utilities enables you to easily and safely uninstall programs;inspect and manage the programs that automatically start when you turn on or logon to your computer;list and control all currently running processes(system and hidden processes are also shown).With a cool and user-friendly interface makes it easy for anyone to use Magic Utilities.

Feature highlights include
  • More user-friendly interface to list and uninstall programs that have been installed on your computer.
  • Support drag and drop.Automatically analyse your operation when you drop a file on Magic Utilities 2003 icon on the desktop.
  • Automatically detect the bad entries left behind in registry by misbehaved uninstallers.
  • Automatically detect the files lefted after a program has been uninstalled.
  • Automatically detect the new programs have been installed on your computer or added to your startup congiguration.
  • Full control all program's unistall info.
  • View,Edit,Delete and Add entries to your startup configuration
  • Rate all your startup programs to list potential harmful program .
  • Display a list of all running programs and allows you to force-quit frozen applications.
  • Display details of an certain running program so you can find harmful background processes like spyware, viruses and worms infect 90% of computers with an internet connection.
  • Export uninstall programs,startup programs and current running programs list to file.
  • Includes skin and multi-language support.
  • . . . . . .

    For information about registration of Magic Utilities go to this section.


Install and Remove

How to Install

System requirements
  • Any PC running Microsoft(r) Windows(r) XP/2000/Millennium Edition (ME)/98 Second Edition/98.
  • 16 MB RAM and 1MB of free hard disk space.
  • A mouse or equivalent pointing device.
  • High Color display is recommended.

    Install
    Run mgutil_xxx.exe that you have downloaded into your hard diskand follow the prompts.


How To Install Upgrades

Magic Utilities is upgraded often. Connect to the Internet and click our downloads page to see what's new.

Upgrades cannot be installed when an existing version is running.


Frequently Asked Questions

  • What is Magic Utilites?
  • Which operating systems are supported by Magic Utilities?
  • Does Magic Utilities work on Mac systems?
  • Lost Registration Info Policy?
  • Do I need to uninstall previous versions before installing an updated version?
  • How much does Magic Utilities cost?
  • How can I register Magic Utilities?

What is Magic Utilities?
Magic Utilities is a cute program designed to make your computer clean and more stable.

Which operating systems are supported by Magic Utilities?
Magic Utilities runs only under Microsoft Windows XP,2000,Me,98/98 Second Edition.

Does Magic Utilities work on Mac systems?
Our development team is focusing on PC products at this time. We realize there is a need for Mac support as well, however, our development budget has not yet allowed for us to expand into Mac development. As EFREESKY SOFTWARE grows, we hope to expand our technology!

Lost Registration Info Policy?
If you register and, for whatever reason, you do not receive an e-mail us with a registration info or if you are reformatted your hard drive and cannot find your registration info, simply e-mail and We will send your registration code. (Please include your Order# or as much order information as possible, as it will be easier to locate your order in the database.)

Do I need to uninstall previous versions before installing an updated version?
Yes please uninstall all previous versions before installing an update.

How much does Magic Utilities cost?
Single User License is only $29.95 USD.
Important: additional licenses are needed if you plan to use Magic Utilities on more than one computer.

How can I register Magic Utilities?
Use this link to purchase it online:
http://www.regsoft.net/purchase.php3?productid=57689
You'll usually receive your registration code within 24 hours.


register

How to Buy

Registration of Magic Utilities is only $29.95 USD!(per license)

MagicTweak can be registered at http://www.Regsoft.com(Product ID:57689). You may use the following card to order:

Visa
MasterCard
American Express
Discover
Eurocard

Detail Price

License Name | Price | Discount | Order Online | Order Offline
Single User License | US$29.95 | %0 | Buy Single User License | Click here
2 Users License | US$49.95 | %15 | Buy 2 Users License | Click here
5 Users License | US$99.95 | %35 | Buy 5 Users License | Click here
10 Users License | US$149.95 | %50 | Buy 10 Users License | Click here
20 Users License | US$249.95 | %60 | Buy 20 Users License | Click here
50 Users License | US$449.95 | %70 | Buy 50 Users License | Click here
Corporate/Site License | US$999.95 |  | Buy Corporate/Site License | Click here

General Information : (Product ID:57689)
RegSoft.com Phone Order Line - available 24/7 (Orders ONLY) :
U.S. and Canada : 1-877-REGSOFT (1-877-734-7638)
International : 1-770-319-2718

RegSoft.com Fax Order Line - available 24/7 :
US Toll-Free Fax Number : 1-800-886-6030
International Fax Number : 1-208-279-3837
(UK Customers can fax to (0870)132-2485)

RegSoft.com Address for Registrations :
RegSoft.com Inc.
10820 Abbotts Bridge Road
PMB 201, Suite 220
Duluth, GA 30097
Attn : Registrations

Note: If you've made a payment but have not received a confirmation letter and registration key within a reasonable amount of time (24 hours for credit card payments or two weeks for other payments), please notify us via e-mail at sales@magictweak.com. Please note that a delay could mean that the e-mail address given in your order form is invalid (due to misspelling, etc.). We apologize for any inconvenience caused by these delays.


Benefits of Registration

- Registration code and instructions will be delivered to you by e-mail

- Registration reminder will never popup again

- The software will function always (instead of 15-days limited trial version)

- Free updates (i.e. from version 1.0 to 1.2), discounted upgrades (i.e. from 1.0 version to 2.0 version);

- Free e-mail technical support

- Discounts for other our products

For information about registration of Magic Utilities go to this section.


How to Register

You will get a registration name and a registration number from us after you ordered Magic Utilities.

Enter your registration information following these steps:

1.Running Magic Utilites.

2.A registration dialog box will appear before the main window.

3.Copy and paste the registration information exactly as what you've got.

IMPORTANT: Please copy and paste the registration name and registration number to the registration dialog and DON'T type it manually because it's difficult to distinguish the letter "l" (lower case of "L") from "1" (one) and "o" from "0" (zero), etc.

4.Press "Register" button.

5.Restart Magic Utilities to validate the registration information.

When the registration information was accepted, you can use Magic Utilities with no time restrictions.

If you have any problem,please fell free to contact us by sending e-mail to: support@magictweak.com.


End-User Software License Agreement

Magic Utilities For Windows XP/2000/Me/98

Copyright (C) 2000 - 2003 Efreesky Software.All Rights Reserved.

By receiving and/or using Magic Utilities, you accept the following Evaluation and Registered User Agreement. This agreement is a binding legal agreement between Efreesky Software. and the purchasers, users or evaluators of Magic Utilities.If you do not intend to honor this agreement, remove installed Magic Utilities from your computer.

Evaluation (Unregistered) and Registered User Agreement
1. Unregistered shareware use
You may evaluate the Shareware program for maximum of 15 days, after which you must register the program or remove the software from your computer. You may allow other users to evaluate copies of the unregistered Shareware. All evaluation users are subject to the terms of this agreement.

2. Usage and distribution restrictions
The evaluator/user/buyer/owner may not use or distribute Magic Utilities for any unlawful purpose. The evaluator/user/buyer/owner is not allowed to attempt to reverse engineer, disassemble or de-compile Magic Utilities and products.

3. Limitation of responsibility The evaluator/user/buyer/owner of Magic Utilities will indemnify, hold harmless, and defend Efreesky Software against lawsuits, claims, costs associated with defense or accusations that result from the use of Magic Utilities.
Efreesky Software is not responsible for any damages whatsoever, including loss of information, interruption of business, personal injury and/or any damage or consequential damage without limitation, incurred before, during or after the use of our products.
The sale of and or distribution of registered copies of this software is strictly forbidden. It is a violation of this agreement to loan, rent, lease, borrow, or transfer the use of registered copies of Magic Utilities.

Distribution

DISTRIBUTION OF UNREGISTERED TIMES LIMITED DEMO OF Magic Utilities . Provided that you verify that you are distributing the TIMES LIMITED DEMO Version you are hereby licensed to (a) make as many copies of the TIMES LIMITED DEMO version of this software and documentation as you wish; (b) give exact copies of the original TIMES LIMITED DEMO version to anyone; and (c) distribute the TIMES LIMITED DEMO version of the software and documentation in its unmodified form via electronic means.
There is no charge for any of the above.
DISTRIBUTION OF REGISTERED OR LICENSED VERSIONS OF Magic Utilities PROHIBITED. You may not, for any purpose, distribute copies of registered or licensed versions of the software , documentation or related materials to any third-parties.

Disclaimer

Magic Utilities IS PROVIDED AS IS EFREESKY SOFTWARE. will in no way be responsible, in financial or any other terms, for damages (either consequential or incidental) resulting from the use or misuse of Magic Utilities or from following directions in this document. No warrantee as to fitness to a particular purpose is given or implied.
Because of the wide variety of hardware and software combinations available today, it is up to the user to ensure that Magic Utilities functions well in his or her environment. The user must assume the entire risk of using the product.


Uninstaller Plus

Click the 'Uninstaller Plus' on the toolbar.It will list all programs which have been installed in your computer.

Uninstall a program

  1. Select the program you want to uninstall.
  2. Click the 'Uninstall' button in the bottom or right click mouse on the list and select 'Uninstall' menu item.
  3. The Uninstaller Plus dialog will be displayed.
  4. Click on the 'OK' button.Uninstall Plus will run the uninstall routine of the program. If the uninstall routine does not remove the program from the list, Uninstaller Plus will prompt you to remove it.

Delete entry of a program
Programs that have been already removed from your computer, but were left behind in the list by misbehaved uninstallers are marked with an exclamation mark icon.

These programs should be removed from the list to reduce clutter and make it easier to find and uninstall other programs in the future.

  1. Select the program you want to delete entry.
  2. Click the 'Delete Entry' button in the bottom or right click mouse on the list and select 'Entry' menu item.
  3. The Uninstaller Plus dialog will be displayed.
  4. Click on the 'OK' button.Uninstall Plus will remove the program from the list.

Modify the detail of a program

  1. Select the program you want to modify the detail.
  2. Click the 'Program Info' button in the bottom or right click mouse on the list and select 'Program Info' menu item.
  3. The Program Info dialog will be displayed.Edit the program name, the uninstall command or other details.
  4. Click on the 'OK' button to apply changes.

Change the view mode of the list
You can change the view mode of the list by right click mouse on the list and select 'Icon/List/Report' menu item.

Find a program you want to uninstall
In the Find field you can enter an entire program name (such as Microsoft Office), or only a part of the name (such as office); then just click on the 'Find' button to locate that program in the list.


Startup Organizer

Click the 'Startup Organizer' on the toolbar.It will list all programs which automatically run when the system starts or a user logs in.

Add a new program

  1. You can add a new program to startup category using 'Add' button in the bottom.Also you can add a new program to startup category by right click mouse on the list and select 'Add' menu item.
  2. The Startup Organizer dialog will be displayed.
  3. Enter the name of the new program.
  4. Enter the path of the new program or select the path by click the [image] button left the editbox.
  5. Select the startup category from the location combobox.
  6. Click on the 'OK' button.

Edit the selected program

  1. You can edit the selected program in startup category using 'Edit' button in the bottom.Also you can edit the selected program in startup category by right click mouse on the list and select 'Edit' menu item.
  2. The Startup Organizer dialog will be displayed.
  3. Change the name and path of the selected program.
  4. Click on the 'OK' button.

Delete the selected program

  1. You can delete the selected program in startup category using 'Delete' button in the bottom.Also you can delete the selected program in startup category by right click mouse on the list and select 'Delete' menu item.
  2. The confirmation dialog will be displayed to make sure you want to delete the selected progarm in startup category.
  3. Click on the 'Yes' Button.
  4. When a program is deleted from the list it remains on the hard disk and is not deleted physically. You will need to uninstall it to remove it from the hard disk.

Enable/Disable the selected program
If you want to keep the program in the list,but temporary enable/disable it from automatically starting,check/uncheck the program in the list or by right click mouse on the selected program and select 'Enable/Disable' menu item.

Find a program in startup category
In the Find field you can enter an entire program name (such as Microsoft Office), or only a part of the name (such as office); then just click on the 'Find' button to locate that program in the list

Open properties dialog of the selected program
You can open properties dialog of the selected program in startup category by double-click the selected program.Also you can open properties dialog of the selected program in startup category by right click mouse on the list and select 'Properties' menu item.

When you make changes to the current configuration, StartUp Organizer not save it immediately. For applying you must press 'Save Settings' button in the bottom.


Process Killer

Click the 'Process Killer' on the toolbar.It will list all programs which are currently running in the system.

Force-quit a running program

  1. Select the program you want to force-quit.
  2. Click the 'Kill Process' button or right click mouse on the list and select 'Kill Process' menu item.
  3. The confirmation dialog will be displayed to make sure you want to force-quit the selected running progarm.
  4. Click on the 'Yes' Button.

Find a program in the list
In the Find field you can enter an entire program name (such as Microsoft Office), or only a part of the name (such as office); then just click on the 'Find' button to locate that program in the list

Open properties dialog of the selected program
You can open properties dialog of the selected program in process list by double-click the selected program.Also you can open properties dialog of the selected program in process list by right click mouse on the list and select 'Properties' menu item.


Options

Click the 'Options' on the toolbar.You can change the skin and language of Magic Utilities.

Change the skin of Magic Utilities
Magic Utilities includes skin support and some cool skins have been installed to your computer.You can download other cool skins from our site http://www.magictweak.com.

  1. Select the skin in left list.
  2. Click on the 'OK' Button.

Change the language of Magic Utilities
Magic Utilities includes multi-language support.If you want to use other language except English,You can translate the language file 'English.ini' in your program's language directory yourself or you can download the language file from our site(http://www.magictweak.com) that has been translated.

  1. Select the language file by click the [image] button left the editbox.
  2. Click on the 'OK' Button.
  3. You need restart the program to take effect.


How to uninstall a program by drag and drop

You can easily and safely uninstall a program by drag and drop.

  1. Click on a file or shortcut on your desktop or the Windows Explorer.
  2. While holding down the mouse button,drag(move) the mouse pointer to Magic Utilities icon on your desktop or the Windows Explorer.
  3. Release the mouse button to drop the file.
  4. Magic Utilities will automatically detect if you can uninstall the program or just delete it.
  5. Click on the 'OK' button.


Supported startup categories

Startup Organizer supports the following automatically started program categories:

Registry. This is the central Window's settings database that is created by Windows during installation, which is accessible using the Registry editor (regedit.exe).

All users\Run - The programs here automatically start when any user is logged in. The Registry Key is:
HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Run

All users\RunServices - The programs here automatically start when the system is loading before the user logs in. The Registry Key is:
HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\RunServices

Current user\Run - The programs here automatically start when the current user logs in. The Registry Key is:
HKEY_CURRENT_USER\SOFTWARE\Microsoft\Windows\CurrentVersion\Run

Startup Folder. You can access the Startup folder using the Start button and then opening the Programs menu. (The submenu is usually named "StartUp". This name could be different in localized Windows versions. There could also be two StartUp menus:
Current user Startup Folder ,This folder is designed for files that should be loaded for the current user logs in at the Startup process.
All users Startup Folder ,This folder is designed for files that should be loaded for all users at the Startup process.

Win.INI file. This is the system file used to start programs under the older Windows 3.x systems. It has been included for backwards compatibility with Windows 3.x and should not be used on later systems.
Load category starts programs before user login.
Run category starts programs after the user login.


How to determine if a program in startup category can be safely disabled/deleted

It is not easy to know what a program does based on its name and if it is safe to delete/disable it from loading at startup. Some programs are vital for system or its performance, so deleting/disabling them may cause Windows to fail starting up.

Here are two tricks, however. You need to double-click on the program or by right click mouse on the program and select 'Properties' menu item in StartUp Organizer.And then select the File info tab.

- Try to see the file date/time. If it is the same as the most of Windows files, it means that the file is a standard Windows component, not a third party tool. In this case I would not play with it. If it is a 3rd party, in most cases it could be safely deleted/disabled to test.

- The tab will also give you some details about its manufacturer and a description. Probably this may shed light on what the program is.


Contact Infomation

Magic Utilities Website
Please visit Magic Utilities web site if you want to get more information or download the latest version of Magic Utilities.
http://www.magictweak.com

Support
Please forward any comments or suggestions to us at the following address:
support@magictweak.com


Important Information About Your Download

The official Magic Utilities Download page is:
http://www.magictweak.com/download.php
At the top of the Download page the latest version number is listed.
To check the version number of your program, start the program and go to the about window to view the full version number.

Magic Utilites version numbers are made of two parts: Major Version and Minor Version.

What is a Major Version?

The Major Version is before and after the first dot in the version number. E.g. v1.0

What is a Minor Version?

Minor Versions contain small changes, normally bug-fix patches.
The Minor Version begins at the second digit.
Example of Minor Versions: E.g. v1.05 is Major Version 1.0, Minor Version 5

Where to get the latest version

The Magic Utilities World Wide Web site always carries the latest version. Connect to our web-site at the address above.
If you have a problem or error message, please visit the Support page on our web site.